package com.ssyf.feign.fallback;

import com.ssyf.common.core.domain.query.ListQuery;
import com.ssyf.common.domain.message.query.MessageQuery;
import com.ssyf.common.web.result.Result;
import com.ssyf.feign.application.message.MessageFeignService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class MessageFeignFallback implements MessageFeignService {

    @Autowired
    private GlobalFeignFallback globalFeignFallback;

    @Override
    public Result sendMessage(MessageQuery query) {
        return globalFeignFallback.result();
    }

    @Override
    public Result addBatch(ListQuery<MessageQuery> query) {
        return globalFeignFallback.result();
    }

    @Override
    public Result updateProcessed(String uid) {
        return globalFeignFallback.result();
    }

    @Override
    public Result updateComplete(String uid) {
        return globalFeignFallback.result();
    }

    @Override
    public Result remove(String uid) {
        return globalFeignFallback.result();
    }
}
